summaryrefslogtreecommitdiffstats
path: root/libraries/libayatana-appindicator
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libayatana-appindicator')
-rw-r--r--libraries/libayatana-appindicator/README4
-rw-r--r--libraries/libayatana-appindicator/doinst.sh13
-rw-r--r--libraries/libayatana-appindicator/libayatana-appindicator.SlackBuild114
-rw-r--r--libraries/libayatana-appindicator/libayatana-appindicator.info10
-rw-r--r--libraries/libayatana-appindicator/slack-desc19
5 files changed, 160 insertions, 0 deletions
diff --git a/libraries/libayatana-appindicator/README b/libraries/libayatana-appindicator/README
new file mode 100644
index 0000000000..23a186b86f
--- /dev/null
+++ b/libraries/libayatana-appindicator/README
@@ -0,0 +1,4 @@
+libayatana-appindicator (Ayatana Indicators Shared Library )
+
+A library to allow applications to export a menu into the an
+Application Indicators aware menu bar.
diff --git a/libraries/libayatana-appindicator/doinst.sh b/libraries/libayatana-appindicator/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/libraries/libayatana-appindicator/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/libraries/libayatana-appindicator/libayatana-appindicator.SlackBuild b/libraries/libayatana-appindicator/libayatana-appindicator.SlackBuild
new file mode 100644
index 0000000000..055102a92d
--- /dev/null
+++ b/libraries/libayatana-appindicator/libayatana-appindicator.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/bash
+#
+# Slackware build script for libayatana-appindicator.
+#
+# Copyright 2023 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libayatana-appindicator
+VERSION=${VERSION:-0.5.93}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
+ -DENABLE_BINDINGS_MONO=OFF \
+ -DENABLE_BINDINGS_VALA=ON \
+ -DENABLE_COVERAGE=OFF \
+ -DENABLE_GTKDOC=ON \
+ -DENABLE_TESTS=OFF \
+ -DENABLE_WERROR=OFF \
+ -DFLAVOUR_GTK2=OFF \
+ -DFLAVOUR_GTK3=ON \
+ -DGLIB_GENMARSHAL=/usr/bin/glib-genmarshal \
+ -DGLIB_MKENUMS=/usr/bin/glib-mkenums \
+ -DGTKDOC=/usr/bin/gtkdoc-scan \
+ ..
+make
+make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS ChangeLog COPYING* NEWS README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/libayatana-appindicator/libayatana-appindicator.info b/libraries/libayatana-appindicator/libayatana-appindicator.info
new file mode 100644
index 0000000000..ed09354088
--- /dev/null
+++ b/libraries/libayatana-appindicator/libayatana-appindicator.info
@@ -0,0 +1,10 @@
+PRGNAM="libayatana-appindicator"
+VERSION="0.5.93"
+HOMEPAGE="https://github.com/AyatanaIndicators/libayatana-appindicator"
+DOWNLOAD="https://github.com/AyatanaIndicators/libayatana-appindicator/archive/0.5.93/libayatana-appindicator-0.5.93.tar.gz"
+MD5SUM="eb3121198bb7757c9aaf6482221a45de"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libayatana-indicator"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/libraries/libayatana-appindicator/slack-desc b/libraries/libayatana-appindicator/slack-desc
new file mode 100644
index 0000000000..b407412609
--- /dev/null
+++ b/libraries/libayatana-appindicator/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libayatana-appindicator: libayatana-appindicator (Ayatana Indicators Shared Library )
+libayatana-appindicator:
+libayatana-appindicator: A library to allow applications to export a menu into the an
+libayatana-appindicator: Application Indicators aware menu bar.
+libayatana-appindicator:
+libayatana-appindicator: https://github.com/AyatanaIndicators/libayatana-appindicator
+libayatana-appindicator:
+libayatana-appindicator:
+libayatana-appindicator:
+libayatana-appindicator:
+libayatana-appindicator: